Index: party/pom.xml
===================================================================
--- party/pom.xml	(revision 30)
+++ party/pom.xml	(revision 31)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>party</artifactId>
-	<version>1.5.9</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.6.0</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.9</geniusweb.version>
+		<geniusweb.version>1.6.0</geniusweb.version>
 	</properties>
 
Index: party/src/main/java/geniusweb/party/Capabilities.java
===================================================================
--- party/src/main/java/geniusweb/party/Capabilities.java	(revision 30)
+++ party/src/main/java/geniusweb/party/Capabilities.java	(revision 31)
@@ -69,4 +69,6 @@
 		result = prime * result
 				+ ((behaviours == null) ? 0 : behaviours.hashCode());
+		result = prime * result
+				+ ((profiles == null) ? 0 : profiles.hashCode());
 		return result;
 	}
@@ -86,4 +88,9 @@
 		} else if (!behaviours.equals(other.behaviours))
 			return false;
+		if (profiles == null) {
+			if (other.profiles != null)
+				return false;
+		} else if (!profiles.equals(other.profiles))
+			return false;
 		return true;
 	}
@@ -91,5 +98,5 @@
 	@Override
 	public String toString() {
-		return "Capabilities[" + "Behaviours=" + behaviours + "]";
+		return "Capabilities[" + profiles + "," + behaviours + "]";
 	}
 
Index: party/src/main/java/geniusweb/party/Party.java
===================================================================
--- party/src/main/java/geniusweb/party/Party.java	(revision 30)
+++ party/src/main/java/geniusweb/party/Party.java	(revision 31)
@@ -15,5 +15,5 @@
  * your class may also be created only to call the getCapabilities function.
  * 
- * <h1>Short outline</h1> After the party is created (empty constructor) it is
+ * <h2>Short outline</h2> After the party is created (empty constructor) it is
  * first connected through a call to connect (from the {@link Connectable}
  * interface). The party can subscribe to receive {@link Inform} objects using
@@ -52,7 +52,13 @@
 
 	/**
-	 * When this is called, the party should free up its resources and terminate
-	 * its threads. This call may come in at any time, eg when a negotiation is
-	 * aborted.
+	 * When this is called, the party must free up all its claimed resources
+	 * (memory, CPU, files, etc) immediately. This call can come in at any time
+	 * (when a negotiation is aborted early), even while your party is still
+	 * working on something else. Other parties for the next session may be
+	 * started within a few seconds after this request to your party. The exact
+	 * time is decided by the partyserver you use but typically 2 seconds. Not
+	 * respecting this call and continue using the system resources will
+	 * deteriorate performance of other parties running on the same machine,
+	 * which may be against the assignment/competition rules.
 	 */
 	void terminate();
Index: party/src/test/java/geniusweb/party/CapabilitiesTest.java
===================================================================
--- party/src/test/java/geniusweb/party/CapabilitiesTest.java	(revision 30)
+++ party/src/test/java/geniusweb/party/CapabilitiesTest.java	(revision 31)
@@ -18,4 +18,5 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
+import geniusweb.profile.PartialOrdering;
 import geniusweb.profile.utilityspace.LinearAdditive;
 import tudelft.utilities.junit.GeneralTests;
@@ -24,5 +25,5 @@
 
 	private Capabilities capabilities1, capabilities1a, capabilities2,
-			capabilities3;
+			capabilities3, capabilities4;
 	private String asJson = "{\"behaviours\":[\"SAOP\"],\"profiles\":[\"geniusweb.profile.utilityspace.LinearAdditive\"]}";
 
@@ -37,4 +38,7 @@
 		capabilities3 = new Capabilities(Sets.newSet("SEB", "SAOP"),
 				Collections.singleton(LinearAdditive.class));
+		capabilities4 = new Capabilities(Sets.newSet("SAOP"),
+				Collections.singleton(PartialOrdering.class));
+
 	}
 
@@ -42,12 +46,15 @@
 	public List<List<Capabilities>> getGeneralTestData() {
 		return Arrays.asList(Arrays.asList(capabilities1, capabilities1a),
-				Arrays.asList(capabilities2), Arrays.asList(capabilities3));
+				Arrays.asList(capabilities2), Arrays.asList(capabilities3),
+				Arrays.asList(capabilities4));
 	}
 
 	@Override
 	public List<String> getGeneralTestStrings() {
-		return Arrays.asList("Capabilities.*Behaviours=.*SAOP.*",
-				"Capabilities.*Behaviours=.*SEB.*",
-				"Capabilities.*Behaviours=.*SEB.*SAOP.*");
+		return Arrays.asList(
+				"Capabilities.*geniusweb.profile.utilityspace.LinearAdditive.*SAOP.*",
+				"Capabilities.*geniusweb.profile.utilityspace.LinearAdditive.*SEB.*",
+				"Capabilities.*geniusweb.profile.utilityspace.LinearAdditive.*SEB.*SAOP.*",
+				"Capabilities.*geniusweb.profile.PartialOrdering.*SAOP.*");
 	}
 
